import java.util.ArrayList;
import java.util.Iterator;

class ArrayArrayListTest {
	
	public static void main(String[] args)  {

		// Integer array
		int[] integerArray = new int[3];
		integerArray[0] = 1;
		integerArray[1] = 2;
		integerArray[2] = 3;

		// foreach
		for (int i : integerArray) {
			System.out.println(i);
		}

		// for
		for (int j = 0; j < integerArray.length; j++)  {
			System.out.println(integerArray[ j ]);
		}

		// while
		int k = 0;
		while (k < integerArray.length) {
			System.out.println(integerArray[k++]);
		}
 
 		// Integer ArrayList
		ArrayList<Integer> integerList = new ArrayList<Integer>();
		integerList.add(1); //cannot store primitive in ArrayList, instead autoboxing will convert int to Integer object
		integerList.add(2); //cannot store primitive in ArrayList, instead autoboxing will convert int to Integer object
		integerList.add(3); //cannot store primitive in ArrayList, instead autoboxing will convert int to Integer object
		
		for (int m : integerList) {
			System.out.println(m);
		}

		for (int n = 0; n < integerList.size(); n++) {
			System.out.println(integerList.get(n));
		}

		Iterator<Integer> itr = integerList.iterator();
		while (itr.hasNext()) {
			System.out.println(itr.next());
		}

		// Person array
		Person[] personArray = new Person[3];
		personArray[0] = new Person("P", 10);
		personArray[1] = new Person("K", 20);
		personArray[2] = new Person("S", 30);

		// foreach
		for (Person p : personArray) {
			System.out.println(p);
		}

		// for
		for (int q = 0; q < personArray.length; q++)  {
			System.out.println(personArray[ q ]);
		}

		// while
		int r = 0;
		while (r < personArray.length) {
			System.out.println(personArray[r++]);
		}

 		// Person ArrayList
		ArrayList<Person> personList = new ArrayList<Person>();
		personList.add(new Person("PP", 100)); // can only store object 
		personList.add(new Person("KK", 200)); // can only store object
		personList.add(new Person("SS", 300)); // can only store object
		
		for (Person s : personList) {
			System.out.println(s);
		}

		for (int t = 0; t < personList.size(); t++) {
			System.out.println(personList.get(t));
		}

		Iterator<Person> itr2 = personList.iterator();
		while (itr2.hasNext()) {
			System.out.println(itr2.next());
		}

    }
}
